package mockdatabaseinfo

import "query-service/internal/entity"

// Service implements the databaseinfo usecase (mock)
type Service struct {
}

// NewService creates a new databaseinfo service (mock)
func NewService() *Service {
	return &Service{}
}

// GetDatabaseInfo gets the database info for the clientID and database name provided
func (s *Service) GetDatabaseInfo(clientID *string, databaseName *string) (*entity.DatabaseInfo, error) {
	dbInfo := entity.DatabaseInfo{
		URL:                  "test-url",
		Username:             "test-user",
		Password:             "test-password",
		Port:                 1234,
		InternalDatabaseName: "internal-test",
	}
	return &dbInfo, nil
}
